Subject: bug#16577: Add regexp-based version of completion-ignored-extensions

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Feb 2022 10:06:58 -0500

> I think perhaps of introducing a regexp-based extra mechanism here that
> we should introduce a new completion-ignored-files variable, which would
> default to '(".svn/" ".hg/" ".git/" ".bzr/" "CVS/" "_darcs/" "_MTN/")
> (probably), and then remove those from -extensions.

BTW, maybe we can merge the two propositions:
Allow the use in `completion-ignored-files` of entries of the form
"/<RE>" where <RE> will be matched against the nondirectory part of the
file name.  We'd probably want to make this match anchored, since that's
what the "/" suggests.  It means that instead of "/.git/" we'd add
"/\\.git/" or "/\\.git/?\\'".

This should make the change much less invasive, with most existing uses
of `completion-ignored-files` unaffected.

        Stefan